Difference between revisions of "Applications/17.04 Release Notes"

Jump to: navigation, search
(the change of content of kdesdk-kioslaves is already explained below)
(notes about the issue with KI18n and scripts/)
 
(7 intermediate revisions by 3 users not shown)
Line 1: Line 1:
=NOT FINAL=
+
== Translations ==
 +
The translations (messages, translated documentation, localized data) are
 +
now included in the tarballs but *only* for Frameworks 5 applications.
 +
 
 +
Translations for kdelibs4 applications and modules (like kdelibs4 itself and
 +
kde-runtime) are still shipped inside kde-l10n*
  
 
== Tarballs that join the KDE Applications release ==
 
== Tarballs that join the KDE Applications release ==
Line 6: Line 11:
  
 
== New tarballs ==
 
== New tarballs ==
  * kdav (splitted out of kdepim-runtime)
+
  * kdav (split out of kdepim-runtime)
  
 
== Tarballs that were based on kdelibs4 and are now KF5 based ==  
 
== Tarballs that were based on kdelibs4 and are now KF5 based ==  
Line 21: Line 26:
 
  * kdesdk-kioslaves doesn't ship a svn kioslave, use the one from kdesvn
 
  * kdesdk-kioslaves doesn't ship a svn kioslave, use the one from kdesvn
 
  * kde-dev-utils doesn't ship the obsolete kprofilemethod, kstartperf, kmtrace, see https://mail.kde.org/pipermail/release-team/2017-February/010119.html
 
  * kde-dev-utils doesn't ship the obsolete kprofilemethod, kstartperf, kmtrace, see https://mail.kde.org/pipermail/release-team/2017-February/010119.html
 +
 +
== Known issues ==
 +
* kdeedu-data and ktuberling may show Perl as requirements due to few l10n-related macro for sr data files.
 +
* (only for 17.04.3) dolphin, kgeography and step, due to few additional files and a regression in KI18n, fails for KI18n 5.34 and 5.35. See https://mail.kde.org/pipermail/release-team/2017-July/010424.html for more details.

Latest revision as of 09:30, 16 July 2017

Translations

The translations (messages, translated documentation, localized data) are now included in the tarballs but *only* for Frameworks 5 applications.

Translations for kdelibs4 applications and modules (like kdelibs4 itself and kde-runtime) are still shipped inside kde-l10n*

Tarballs that join the KDE Applications release

* libkgapi
* k3b

New tarballs

* kdav (split out of kdepim-runtime)

Tarballs that were based on kdelibs4 and are now KF5 based

* kajongg
* kcachegrind
* kde-dev-utils
* kdesdk-kioslaves

Tarballs that we do not ship anymore

* pim-storage-service-manager
* kommander

Tarballs that have changed contents

* kdesdk-kioslaves doesn't ship a svn kioslave, use the one from kdesvn
* kde-dev-utils doesn't ship the obsolete kprofilemethod, kstartperf, kmtrace, see https://mail.kde.org/pipermail/release-team/2017-February/010119.html

Known issues

  • kdeedu-data and ktuberling may show Perl as requirements due to few l10n-related macro for sr data files.
  • (only for 17.04.3) dolphin, kgeography and step, due to few additional files and a regression in KI18n, fails for KI18n 5.34 and 5.35. See https://mail.kde.org/pipermail/release-team/2017-July/010424.html for more details.

This page was last edited on 16 July 2017, at 09:30. Content is available under Creative Commons License SA 4.0 unless otherwise noted.